Subject: Re: [PATCHv2 0/2] log decorations for HEAD

From: Michael J Gruber <[email-masked]>
Date: Wed, 11 Mar 2015 09:02:38 +0100

Junio C Hamano venit, vidit, dixit 10.03.2015 18:06:
> Michael J Gruber <[email-masked]> writes:
> 
>> So it didn't take too long to convince me after all :)
>>
>> Here comes Junio's version, preceded by a cleanup of the color
>> setting and resetting for decorations.
>>
>> Junio C Hamano (1):
>>   log: decorate HEAD with branch name
>>
>> Michael J Gruber (1):
>>   log-tree: properly reset colors
>>
>>  log-tree.c                        | 76 ++++++++++++++++++++++++++++++++++-----
>>  t/t4013/diff.log_--decorate_--all |  2 +-
>>  t/t4207-log-decoration-colors.sh  | 16 ++++-----
>>  3 files changed, 77 insertions(+), 17 deletions(-)
> 
> Hmph, is the "do not leak commit color" one the same as 5ee87585
> (log --decorate: do not leak "commit" color into the next item,
> 2015-03-04) aka $gmane/264788 [*1*] or is there something I missed?
> 

Uh, I missed that one. The commit msg confuses me somewhat (color.diff
vs color.decorate), but the patch to log-tree.c is the same, and so I
assume the patch to t4207 is the same, too. 2/2 from here should go on
top of 7/7 from there, accordingly.

> [References]
> 
> *1* http://thread.gmane.org/gmane.comp.version-control.git/264063/focus=264788
> 
> 
> 
>